Package com.avaya.clientservices.collaboration

## Enum DataSharingMode

- java.lang.Object
- - java.lang.Enum<DataSharingMode>
  - - com.avaya.clientservices.collaboration.DataSharingMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DataSharingMode>`

      public enum DataSharingMode
      extends java.lang.Enum<DataSharingMode>

  Supported Data sharing modes for collaboration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BFCP_TCP` | The presented content is provided via TCP protocol.
    `BFCP_TLS` | The presented content is provided via TLS protocol.
    `BFCP_UDP` | The presented content is provided via UDP protocol.
    `UNKNOWN` | The presented content is not provided via WCS or BFCP.
    `WCS_HTTP` | The presented content is provided via HTTP protocol.
    `WCS_WEB_SOCKET` | The presented content is provided via WebSocket.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DataSharingMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DataSharingMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final DataSharingMode UNKNOWN

      The presented content is not provided via WCS or BFCP.

    - #### BFCP_UDP

          public static final DataSharingMode BFCP_UDP

      The presented content is provided via UDP protocol.

    - #### BFCP_TCP

          public static final DataSharingMode BFCP_TCP

      The presented content is provided via TCP protocol.

    - #### BFCP_TLS

          public static final DataSharingMode BFCP_TLS

      The presented content is provided via TLS protocol.

    - #### WCS_WEB_SOCKET

          public static final DataSharingMode WCS_WEB_SOCKET

      The presented content is provided via WebSocket.

    - #### WCS_HTTP

          public static final DataSharingMode WCS_HTTP

      The presented content is provided via HTTP protocol.

  - ### Method Detail

    - #### values

          public static DataSharingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataSharingMode c : DataSharingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataSharingMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null